Download Object Record Attachment Version File
GET
/api/{version}/vobjects/{object_name}/{object_record_id}/attachments/{attachment_id}/versions/{attachment_version}/fileHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value (product__v, country__v, custom_object__c, etc.). |
{object_record_id} | The object record id field value. |
{attachment_id} | The attachment id field value. |
{attachment_version} | The attachment version__v field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.1/vobjects/site__v/1357752909483/attachments/571/versions/1/fileResponse Header
Section link for Response HeaderContent-Type: application/octet-stream;charset=UTF-8
Content-Disposition: attachment;filename="file.pdf"Response Details
Section link for Response DetailsOn SUCCESS, Vault retrieves the specified version of the attachment from the object record. The file name is the same as the attachment file name.
The HTTP Response Header Content-Type is set to application/octet-stream. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file. When downloading attachments with very small file size, the HTTP Response Header Content-Length is set to the size of the attachment. Note that for most attachments (larger file sizes), the Transfer-Encoding method is set to chunked and the Content-Length is not displayed.